/*=========================================================================

  Program:   Insight Segmentation & Registration Toolkit
  Module:    $RCSfile: CudaSobelEdgeDetection.h,v $
  Language:  C/C++ CUDA
  Date:      $Date: 2010-09-22 20:50:03 $
  Version:   $Revision: 3.0.0 $

  Copyright (c) Insight Software Consortium. All rights reserved.
  See ITKCopyright.txt or http://www.itk.org/HTML/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
/**
 * \class SobelEdgeDetectionImageFilter
 * \brief A 2D edge detection using the Sobel operator implemented in CUDA.
 * \author Luis Lourenco - Vision, Robotics, and Image Group (VRI)
 * http://www.inf.ufpr.br/vri/alumni/2011-LuisLourenco/
**/


template <class TMagnitude, class TDirection>
class Gradient
{
public:
  TMagnitude *Magnitude;
  TDirection *Direction;
};

typedef Gradient<float,float>  Tgrad;

extern "C"
Tgrad* cudaSobel(Tgrad* d_gradient, const float *d_img, int width, int height);

