/*=========================================================================

  Program:   Insight Segmentation & Registration Toolkit
  Module:    $RCSfile: CudaZeroCrossing.h,v $
  Language:  C/C++ CUDA
  Date:      $Date: 2010-10-26 17:31:03 $
  Version:   $Revision: 0.0.1 $

  Copyright (c) Insight Software Consortium. All rights reserved.
  See ITKCopyright.txt or http://www.itk.org/HTML/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even 
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
     PURPOSE.  See the above copyright notices for more information.

=========================================================================*/
/** \class CudaZeroCrossingImageFilter
 * \brief This filter finds the closest pixel to the zero-crossings in a Image. 
 * \author Luis Lourenco - Vision, Robotics, and Image Group (VRI)
 * http://www.inf.ufpr.br/vri/alumni/2011-LuisLourenco/
**/

extern "C"
float* cudaZeroCrossing(dim3 DimGrid, dim3 DimBlock, float *d_input, int width, int height);

